Skip to main content

Create Invoice: ResMan

POSThttps://api.propexo.com/v1/invoices/resman/

Invoices created via the ResMan API begin in an unapproved state and then have to be approved by the PMC in the ResMan portal.

InterfaceMethod
Accounts Payable/MITS/PostAccountsPayable4_0
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    invoice_numberstringrequired

    The invoice or reference number that the vendor assigned to the service request

    invoice_datestringrequired

    The date of issuance for the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    accounting_datestring

    The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    due_datestringrequired

    The due date associated with the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    notesstringrequired

    Notes associated with the invoice

    memostringrequired

    Memo of the invoice

    total_amount_in_centsintegerrequired

    The amount of the invoice, in cents

    Possible values: >= 0

    invoice_items object[]required
  • Array [
  • financial_account_idstringrequired

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    quantity_orderedintegerrequired

    The quantity ordered for the invoice

    Possible values: > 0

    unit_price_in_centsintegerrequired

    The unit price, in cents, of the invoice

    Possible values: >= 0

    notesstringrequired

    Notes associated with the invoice item

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    invoice_numberstringrequired

    The invoice or reference number that the vendor assigned to the service request

    invoice_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    accounting_datestring | nullnullablerequired

    The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    due_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    notesstringrequired

    Notes associated with the invoice

    memostringrequired

    Memo of the invoice

    total_amount_in_centsintegerrequired

    The amount of the invoice, in cents

    Possible values: >= 0

    invoice_items object[]required
  • Array [
  • financial_account_idstringrequired

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    quantity_orderedintegerrequired

    The quantity ordered for the invoice

    Possible values: > 0

    unit_price_in_centsintegerrequired

    The unit price, in cents, of the invoice

    Possible values: >= 0

    notesstringrequired

    Notes associated with the invoice item

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/invoices/resman/
curl -X POST https://api.propexo.com/v1/invoices/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"vendor_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"memo": "string",
"total_amount_in_cents": 0,
"invoice_items": [
{
"financial_account_id": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"notes": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"vendor_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"accounting_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"memo": "string",
"total_amount_in_cents": 0,
"invoice_items": [
{
"financial_account_id": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"notes": "string"
}
]
}
}